import { Component, ViewChild } from '@angular/core';
import { ListViewComponent } from '@syncfusion/ej2-angular-lists';
@Component({
  selector: 'app-root',
  templateUrl: './app.component.html',
  styleUrls: ['./app.component.css']
})
export class AppComponent {
  @ViewChild("list") public list: ListViewComponent;
  public data: { [key: string]: Object; }[] = [
    {
      text: "Jenifer",
      id: "1",

    },
    { text: "Amenda", id: "2", avatar: "A" },
    {
      text: "Isabella",

      id: "4",

    },
    {
      text: "William ",

      id: "5",

    }];

  public fields: Object = { id: 'id', text: 'text' };

 getIndex(ds) {
    return this.data.indexOf(ds);
  }
  getFirstElement() {
    return this.data[0];
  }
  getLastElement() {
    return this.data[this.data.length - 1];
  }
}
